Debian Bug report logs - #713859
[PATCH] use dh-systemd for proper systemd-related maintscripts

version graph

Package: lighttpd; Maintainer for lighttpd is Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>; Source for lighttpd is src:lighttpd.

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Sun, 23 Jun 2013 10:33:02 UTC

Severity: normal

Tags: patch

Found in version lighttpd/1.4.31-4

Fixed in version lighttpd/1.4.33-1

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-systemd-maintainers@lists.alioth.debian.org, Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>:
Bug#713859; Package lighttpd. (Sun, 23 Jun 2013 10:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-systemd-maintainers@lists.alioth.debian.org, Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>. (Sun, 23 Jun 2013 10:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [PATCH] use dh-systemd for proper systemd-related maintscripts
Date: Sun, 23 Jun 2013 12:29:47 +0200
[Message part 1 (text/plain, inline)]
Package: lighttpd
Version: 1.4.31-4
Severity: normal
Tags: patch

Thanks for shipping a systemd service file with vsftpd.

By applying the attached patch, systemd users will enjoy a fully working
lighttpd on their machines: it will get enabled and started properly (even
if installed on sysvinit and later switching to systemd).

Therefore, please apply the patch for your next upload. Thanks!
[0001-use-dh-systemd-for-proper-systemd-related-maintscrip.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Tue, 15 Oct 2013 19:30:04 GMT) Full text and rfc822 format available.

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Tue, 15 Oct 2013 21:24:19 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Tue, 15 Oct 2013 21:24:20 GMT) Full text and rfc822 format available.

Message #12 received at 713859-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 713859-close@bugs.debian.org
Subject: Bug#713859: fixed in lighttpd 1.4.33-1
Date: Tue, 15 Oct 2013 21:22:11 +0000
Source: lighttpd
Source-Version: 1.4.33-1

We believe that the bug you reported is fixed in the latest version of
lighttpd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated lighttpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Oct 2013 21:24:49 +0200
Source: lighttpd
Binary: lighttpd lighttpd-doc lighttpd-mod-mysql-vhost lighttpd-mod-trigger-b4-dl lighttpd-mod-cml lighttpd-mod-magnet lighttpd-mod-webdav
Architecture: source amd64 all
Version: 1.4.33-1
Distribution: unstable
Urgency: low
Maintainer: Debian lighttpd maintainers <pkg-lighttpd-maintainers@lists.alioth.debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 lighttpd   - fast webserver with minimal memory footprint
 lighttpd-doc - documentation for lighttpd
 lighttpd-mod-cml - cache meta language module for lighttpd
 lighttpd-mod-magnet - control the request handling module for lighttpd
 lighttpd-mod-mysql-vhost - MySQL-based virtual host configuration for lighttpd
 lighttpd-mod-trigger-b4-dl - anti-deep-linking module for lighttpd
 lighttpd-mod-webdav - WebDAV module for lighttpd
Closes: 697304 703215 713859 726394
Changes: 
 lighttpd (1.4.33-1) unstable; urgency=low
 .
   * Drop the connection-dos.patch - merged upstream.
   * Fix "mod_extforward missing configuration file": ship requested
     configuration file (Closes: #697304)
   * Remove access.conf, an obsolete conffiles as we should have done since
     2010 (Closes: #703215)
   * Push debhelper's compat mode to 9, the use of maintscript helper requires
     8.1 so we had to push the debhelper b-d anyway.
   * Fix "config.guess/config.sub out of date for arm64" by adding the patch
     provided by Colin Watson. Thanks (Closes: #726394).
   * Fix "[PATCH] use dh-systemd for proper systemd-related maintscripts" to
     add systemd support. Thanks to Michael Stapelberg (Closes: #713859)
Checksums-Sha1: 
 c998cad4850ebb5b2e7fc7486ffd233a766adc55 2697 lighttpd_1.4.33-1.dsc
 0f94a3bb1678c71e9973df8063a22374e8d5ddf4 664850 lighttpd_1.4.33.orig.tar.bz2
 bc01dcbb032ab68699981341d94ee524ed5b701b 28265 lighttpd_1.4.33-1.debian.tar.gz
 e27d662f38f01968257759262c5b8360a9409e06 233296 lighttpd_1.4.33-1_amd64.deb
 94f73a8363e188b69b0e6fe006a2e7983a3e2c0d 60390 lighttpd-doc_1.4.33-1_all.deb
 1273375c18a9e1043d7115116f51b95a6c38cdf3 18818 lighttpd-mod-mysql-vhost_1.4.33-1_amd64.deb
 5c02e351b627cea80acf9d87684d8451b9d25b52 20126 lighttpd-mod-trigger-b4-dl_1.4.33-1_amd64.deb
 a855202357246b155425bd21923efa7b034bfd44 22636 lighttpd-mod-cml_1.4.33-1_amd64.deb
 d8b9aca646b7196d6e62567b57225f2f63aafed3 23482 lighttpd-mod-magnet_1.4.33-1_amd64.deb
 4f3708b097821deda669427309eee1982d9fb06c 28908 lighttpd-mod-webdav_1.4.33-1_amd64.deb
Checksums-Sha256: 
 6854d8002ced6d9422d5af1f8c1e36645a7e0ffa96cba7588809d498063dfb1c 2697 lighttpd_1.4.33-1.dsc
 2ff2324658c0f90e7d39afd40f08f11ca230903b9019c31a2bbecd8f087f235e 664850 lighttpd_1.4.33.orig.tar.bz2
 df54b52c9639f01e002e9698d590a11132e58d829f64ab78e9bd43fd0ffe2626 28265 lighttpd_1.4.33-1.debian.tar.gz
 c9f8d5a0da2da64027430483fa342f16052023fbc973f8cdac92732627ad7c9f 233296 lighttpd_1.4.33-1_amd64.deb
 08c28c64dad21f7f0465b49a3160edb787a175c6d61f24ddc9c4ee8106cb6481 60390 lighttpd-doc_1.4.33-1_all.deb
 0c9918ab24d59d96ced0a77270e9c224db25b43363c4b427f1fce4710935169e 18818 lighttpd-mod-mysql-vhost_1.4.33-1_amd64.deb
 093035f0609ff17651cd73488144faaa8ba73696d21f08f499f9f34533b625db 20126 lighttpd-mod-trigger-b4-dl_1.4.33-1_amd64.deb
 06937f6957e0922f4574a6d793b518d087f752ebe21a68e77c8e46f1d7c373fb 22636 lighttpd-mod-cml_1.4.33-1_amd64.deb
 d6c559630a37aaddca565d40b22bedc1fdfc1699b82cd8f7cf9e31665d6916f9 23482 lighttpd-mod-magnet_1.4.33-1_amd64.deb
 6e9fafa384d5e904b09cbf252e120f75c3d0fea9c69c885786e45b77854ada76 28908 lighttpd-mod-webdav_1.4.33-1_amd64.deb
Files: 
 5e54bf29736fa579e2704d1b048447fd 2697 httpd optional lighttpd_1.4.33-1.dsc
 e66b8164e5fc5a6beec0823b697fbe1d 664850 httpd optional lighttpd_1.4.33.orig.tar.bz2
 b78e47de2d2cb4c4045b1e4b30e87b85 28265 httpd optional lighttpd_1.4.33-1.debian.tar.gz
 497ed50b971a95f54ac466af7a4044aa 233296 httpd optional lighttpd_1.4.33-1_amd64.deb
 b027729803c3c735729e0a9dfa87916c 60390 doc optional lighttpd-doc_1.4.33-1_all.deb
 5fecf2722cbd420dd8fce2d9d4be4a20 18818 httpd optional lighttpd-mod-mysql-vhost_1.4.33-1_amd64.deb
 084de1fa5984a672226e5964d3bbc019 20126 httpd optional lighttpd-mod-trigger-b4-dl_1.4.33-1_amd64.deb
 9894897a01873e39a155d6c84a110458 22636 httpd optional lighttpd-mod-cml_1.4.33-1_amd64.deb
 472c53e4edd7cb4ce5459cc144580489 23482 httpd optional lighttpd-mod-magnet_1.4.33-1_amd64.deb
 14354482df11e703770ab5ae42e1348b 28908 httpd optional lighttpd-mod-webdav_1.4.33-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJSXacfAAoJEMcrUe6dgPNtJ8oQAJyRbM7MCMuApTiYgiM/Yr9Z
1splilDJ9MRA68LHquSnlfAAGnUMPki6grddKU5HWgNBiqW6ppl96ok8eYNYutpr
I5obwVjdMbG1k68JyugCLll5qT46ifS2aL3F80cyFZja0gWd5RtkMAUxxM0HhQL0
4aigltwUl+xn1ZKvhDTFTRKcHhFkBRCCuiW1Me+Vp7IgqxiI5T9juMpXjCGpkDve
g04F7IFRa8BiK/veQzdpx2QRjYx4KgxiLJaocNpsKpaL8FAhTZcy14JSNW+JIbR8
oNdcoxfkh6sDo+EwWo6mEOETllPjrHYflIjfY+NoM7fAs/i5lI1BpBS3zo8oGI0h
4bk7VwK8bETPjTzt7xTE4FGIScFd3WgUTN5oHpq00b/Sw1HZFCathqEhMvtPCvWw
2z0sOtyGMkPAqqNTGVnz4+799aCeyAugB2S6X+gfRW6bHd4IIia7lkS2S1r4HNZ7
IhpM50Tc6xfScxvj+2sju8b2QzGMJ59kiCK7MEBIq+kSla/dq7lbS+Q+obCRBIbi
fFtzevFHo0HrVXl2IEVRMgEVz42m6dyFdsl0PqWJtuy8o6iQMkZesJFGtcIDxrcI
8OSffkVCHTnEAzOsOogZfOzp0lG2BnOpTdunNMQz2wl3LAbRgg+HBgxJH92jof3s
+3Ve0tjlK17iQqvNmAhu
=8Z5E
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Jan 2014 07:31:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:01:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.